Vla-deleteprofile

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-deleteprofile vla-object ProfileName)


機能
指定されたプロファイルを削除する。


引数
  • vla-object … PreferencesProfiles のVLAオブジェクト
  • ProfileName … 削除するプロファイルの名前。


戻り値
なし
サンプル
(vl-load-com)
(defun c:Example_CopyProfile()
  ;; 既存のプロファイルをコピーするサンプル。
  ;; オプションのプロファイルで新しいプロファイルを確認できる
  ;; * 注: この例は、デフォルト プロファイル"<<Unnamed Profile>>"に
   ;;  依存するので、ない場合は適時変更
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; PreferencesProfiles オブジェクトを使用
    (setq xCADPref (vla-get-Profiles preferences))
    
    (setq SourceProfile "<<Unnamed Profile>>"
          newProfile "NEW_PROFILE"
          newdelProfile "DEL_PROFILE")
    
    (vla-CopyProfile xCADPref SourceProfile newProfile )    
    (alert (strcat "プロファイル" SourceProfile " を " newProfile "にコピーします"))
)

    (vla-CopyProfile xCADPref SourceProfile newdelProfile )
    (alert (strcat "プロファイル" SourceProfile " を " newdelProfile "にコピーしてたけど消します"))
)
   (vla-DeleteProfile (vla-get-Profiles preferences) newdelProfile )


関連事項